Retrieve events
curl --request GET \
--url https://api.spacebring.com/events/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/events/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/events/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"confirmationEmail": {
"enabled": true,
"template": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"customTax": {
"enabled": true,
"rate": 123
},
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitedAttendees": {
"enabled": true,
"limit": 0
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"credits": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
},
"money": {
"amount": 123,
"enabled": true,
"amountDiscounted": 123
}
},
"showAttendees": true,
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>",
"attendees": 0,
"cancelDate": "2023-11-07T05:31:56Z",
"deleteDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"imageUrl": "<string>",
"joined": true,
"locale": "<string>",
"venue": "<string>"
}
],
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Events
Retrieve events
Retrieve events.
OAuth
Required scopes:eventsGET
/
events
/
v1
Retrieve events
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Query Parameters
The id of the location.
The number of events to retrieve. Default: 25
Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
The order of the events. createDate:asc, createDate:desc, startDate:asc, startDate:desc, endDate:asc, endDate:desc or relevance
Was this page helpful?
⌘I